/* Copyright (c) 2000-2003 ActiveState Corporation.
   See the file LICENSE.txt for licensing information. */

/* Common functions for color processing 
 *
 * This stuff is all used by scintilla widget, but is generic functionality.
 */

var rgb = new Object ();
rgb.yellow = RGB (0xff, 0xff, 0x00);
rgb.red = RGB (0xff, 0x00, 0x00);
rgb.green = RGB (0x00, 0xff, 0x00);
rgb.blue = RGB (0x00, 0x00, 0xff);
rgb.black = RGB (0x00, 0x00, 0x00);


function RGB(r,g,b) {
  return r + g * 256 + b * 256 * 256;
}


function hexColorToLong(hexstring) {
    // Converts a color of the form #ffaabb to a long to send to scintilla.
    try {
        var r, g, b;
        r = parseInt(hexstring.substring(1, 3), 16);
        g = parseInt(hexstring.substring(3, 5), 16);
        b = parseInt(hexstring.substring(5, 7), 16);
        return RGB(r, g, b);
    } catch (e) {
        log.error(e);
        return null;
    }
}
