/* Copyright (c) 2000-2001 ActiveState SRL. 
   See the file LICENSE.txt for licensing information. */

/* Web Services Setup Wizard - panel 2 */

//---- globals

var _gPanelName = "installing";


//---- internal support routines

function _Install()
{
    var msg=null;
    // XXX If this is a long process then should really add a progress
    //     meter, or perhaps stream in the PyPPM output as it comes.
    SetBusyCursor(parent, true);
    // do it now
    try {
        var configure = Components.classes["@activestate.com/koPHPConfigurator;1"].
                createInstance(Components.interfaces.koIPHPConfigurator);
        
        msg = configure.configureDebugger(
                                parent.wd_info.interpreter,
                                parent.wd_info.existingIni,
                                parent.wd_info.ini,
                                parent.wd_info.extensionDir
                                )
    } catch(e) {
        dump(e);
    }
    SetBusyCursor(parent, false);
    
    // Determine if successful.
    parent.wd_info.msg = msg;
    if (!msg) {
        parent.wd_info.ok = true;
    } else {
        parent.wd_info.ok = false;
    }
    
    // Go to the last page.
    parent.wizardManager.LoadPage("finish", false);
}



//---- interface for wsSetup_Installing.xul

function OnLoad()
{
    // Give a nice header name for this pane.
    var headerWidget = parent.document.getElementById("header");
    headerWidget.setAttribute("title", "Installing");
    headerWidget.setAttribute("description",
        "Installing PHP Debugger support.");

    // <description id="please-wait-msg"/>
    var pleaseWaitMsg = document.getElementById("please-wait-msg");
    var text = "Please wait while Komodo sets up your "
               + "PHP installation for Debugging. "
    pleaseWaitMsg.appendChild(document.createTextNode(text));

    // Disable the cancel button (XXX at least until this process
    // is made cancellable).
    var cancelButton = parent.document.getElementById("wiz-cancel-button");
    cancelButton.disabled = true;

    // Setup for WS.
    window.setTimeout('_Install();', 10);
    
    parent.wizardManager.onPageLoad(_gPanelName);
}

