/* Copyright (c) 2000-2001 ActiveState SRL. 
   See the file LICENSE.txt for licensing information. */

/* Web Services Setup Wizard - panel */

//---- globals

var _gPanelName = "wsSetup_WantToSetup";



//---- interface for wsSetup_WantToSetup.xul

function OnLoad()
{
    // Give a nice header name for this pane.
    var headerWidget = parent.document.getElementById("header");
    headerWidget.setAttribute("title", "Web Services Setup Wizard");
    headerWidget.setAttribute("description",
        "Do you want to setup for Web Services?");
    
    // <description id="do-you-want-to-setup"/>
    var msgWidget = document.getElementById("do-you-want-to-setup");
    var lang = parent.wd_language;
    var text = "You have chosen to insert code using Web Services "
               + "into your " + lang + " program. To execute this "
               + "code your " + lang + " installation requires some "
               + "Web Services support modules. Komodo detected that "
               + "you have not yet run the Web Service Setup Wizard "
               + "for " + lang + ". This Wizard will setup your "
               + lang + " installation for Web Services. Would you "
               + "like to do this now?";
    msgWidget.appendChild(document.createTextNode(text));
    
    parent.wizardManager.onPageLoad(_gPanelName);
}


function OnUnload()
{
    // Honour the "Don't ask again." option.
    checkboxWidget = document.getElementById("do-not-ask-again");
    if (checkboxWidget.checked) {
        var globalPrefSvc = Components.classes["@activestate.com/koPrefService;1"].
                            getService(Components.interfaces.koIPrefService)
        globalPrefSvc.prefs.setBooleanPref(
            "ranWebServicesSetupWizard_For"+parent.wd_language, true);
    }
}

